diff --git a/core/base/inc/TStyle.h b/core/base/inc/TStyle.h
index 5214d7d..c611a59 100644
--- a/core/base/inc/TStyle.h
+++ b/core/base/inc/TStyle.h
@@ -132,6 +132,7 @@ private:
    Float_t       fStatY;             //Y position of top right corner of stat box
    Float_t       fStatW;             //width of stat box
    Float_t       fStatH;             //height of stat box
+   TString       fStatRMSlabel;      //Label for the RMS entry in the stat box
    Bool_t        fStripDecimals;     //Strip decimals in axis labels
    Int_t         fTitleAlign;        //title box alignment
    Color_t       fTitleColor;        //title fill area color
@@ -263,6 +264,7 @@ public:
    Float_t          GetStatY() const     {return fStatY;}
    Float_t          GetStatW() const     {return fStatW;}
    Float_t          GetStatH() const     {return fStatH;}
+   const char     * GetStatRMSlabel() const {return fStatRMSlabel.Data();}
    Int_t            GetStripDecimals() const {return fStripDecimals;}
    Double_t         GetTimeOffset() const {return fTimeOffset;} //return axis time offset
    Int_t            GetTitleAlign() {return fTitleAlign;} // return the histogram title TPaveLabel alignment
@@ -381,6 +383,7 @@ public:
    void             SetStatY(Float_t y=0)    {fStatY=y;}
    void             SetStatW(Float_t w=0.19) {fStatW=w;}
    void             SetStatH(Float_t h=0.1)  {fStatH=h;}
+   void             SetStatRMSlabel(const char* label="RMS") {fStatRMSlabel = label;}
    void             SetStripDecimals(Bool_t strip=kTRUE);
    void             SetTimeOffset(Double_t toffset);
    void             SetTitleAlign(Int_t a=13) {fTitleAlign=a;}
